---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "RouterOS Provider"
subcategory: ""
description: |-
    A provider to integrate with the REST API introduced in RouterOS v7
  
---

# RouterOS Provider



## Example Usage

```terraform
terraform {
  required_providers {
    routeros = {
      source = "GNewbury1/routeros"
    }
  }
}

provider "routeros" {
  hosturl  = "https://127.0.0.1"
  username = "admin"
  password = ""
  insecure = true
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `hosturl` (String) URL of the ROS router. Include the scheme (http/https)

### Optional

- `insecure` (Boolean) Whether to verify the SSL certificate or not
- `password` (String, Sensitive) Password for the ROS user
- `username` (String) Username for the ROS user
